501 Protocol scheme ‘https’ is not supported (LWP::Protocol::https not installed) at

Install:

apt-get install libcrypt-ssleay-perl libssl-dev liblwp-protocol-https-perl
cpanm Crypt::SSLeay IO::Socket::SSL::Utils LWP::Protocol::https

You are reading this post on Joel G Mathew’s tech blog. Joel's personal blog is the Eyrie, hosted here.